Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 03:54
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Gimp 2.8.4 for Precise or Slacko or Raring
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Thu 21 Mar 2013, 20:37    Post_subject:  Gimp 2.8.4 for Precise or Slacko or Raring  

This version of Gimp will run only on Precise puppy linux,
PreciseNOP or Slacko or Raring.

It won't work on distributions like Wheezy or Wary.

I recompiled to make the foreign locales work. You must install the
NLS package of course to show a foreign language menu!!

I don't know the benefits of this version, but
it's stable and will export to many image formats.

You can choose either an SFS or a PET file to install.
Don't install both!
edit: pet version - fixed Laughing

gimp-precise-2.8.4.sfs (11.2 MB)

gimp-precise-2.8.4.pet (11.4 MB)

gimp_NLS-2.8.4.pet (only needed for foreign languages)

.

Edited_times_total
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Sat 23 Mar 2013, 12:16    Post_subject: new compile of gimp  

I recompiled and built the packages again.
I was able to get the menus to show foreign
language text if NLS package installed.

Note: I compiled with python disabled
since it's not installed in standard installations.
Apparently some effects need python, but
I haven't noticed any problems.

I stripped the apps but they're still quite big.

.
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Sun 24 Mar 2013, 14:30    Post_subject: corrected pet  

oops. I didn't test the pinstall.sh script in pet

I would have realized it was wrong.

Edited_time_total
Back to top
View user's profile Send_private_message 
darkcity


Joined: 23 May 2010
Posts: 2466
Location: near here

PostPosted: Mon 25 Mar 2013, 09:51    Post_subject:  

thanks for this, GIMP keep getting better Cool
_________________
helping Wiki for help | IF SendSpace link = "dead" THEN PM me ("up file to http://meownplanet.net/")
Back to top
View user's profile Send_private_message Visit_website 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Mon 25 Mar 2013, 13:33    Post_subject:  

I fixed the pet package by getting rid of pinstall.sh script Laughing


I noticed that earlier gimp2.8.2 package in Barry's precise repository can run
in Pemasu's Wheezy distribution but wheezy can't use this
gimp 2.8.4 package.

.
Back to top
View user's profile Send_private_message 
swiatmar


Joined: 09 Aug 2008
Posts: 241
Location: Danube, AT

PostPosted: Thu 28 Mar 2013, 08:35    Post_subject:  

okay I tried the sfs file on precise puppy 5.4.3
this is what iI get:
Quote:
libgegl-0.2.so.0: cannot open shared object file: No such file or directory


is libgegl not included?
libabl also and other stuff.
Can you tell me wher did you get the right one libraries. Last time I installed it my system broke down? Is it runing okay in your precise nop 5.4.3?
Back to top
View user's profile Send_private_message Visit_website 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Thu 28 Mar 2013, 20:35    Post_subject:  

I got libbabl and libgegl from launchpad.com site as debian packages for
precise. I didn't bother to compile. It didn't seem to matter.

I loaded sfs into RAM using sfs_load by shinobar.
I should test using the regular method of loading.

__________________________________
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Sat 30 Mar 2013, 12:28    Post_subject:  

I finally discovered what was causing problem with sfs file.

launchpad.net stores libgegl and libbabl libraries in
/usr/lib/i386-linux-gnu/

Fixed and tested on raring distro.



.
Back to top
View user's profile Send_private_message 
Dean


Joined: 03 Dec 2009
Posts: 47
Location: UK

PostPosted: Sat 30 Mar 2013, 12:44    Post_subject:    

Thanks don570 Cool
_________________
------------
HP 510 Notebook CPU 1.4 GHz Pentium M / RAM 2GB / 15.4" WXGA BrightView 1280 x 800 / 40GB HD / OS Manjaro 0.8.8
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3359
Location: Ontario

PostPosted: Mon 13 May 2013, 16:26    Post_subject:  

I compiled Gimp in Wheezy by Pemasu
(python disabled)
and I discovered to my surprise that the app
will also run in Precise, Raring, or Slacko as well!!

The size of package is bigger!! 18M rather than 11M
I tested on four distros and they worked very well.

gimp-precise-2.8.4.pet


gimp_NLS-2.8.4.pet
(only needed for foreign languages)

EDIT: removed SFS since it didn't work in Wheezy
___________________________________________________
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0717s ][ Queries: 12 (0.0061s) ][ GZIP on ]